Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types
EAX< T_BlockCipher > Struct Template Reference

EAX More...

`#include <eax.h>`

Inheritance diagram for EAX< T_BlockCipher >:

List of all members.

## Public Types

typedef EAX_Final < T_BlockCipher, true > | Encryption
| implements the AuthenticatedSymmetricCipher interface
typedef EAX_Final < T_BlockCipher, false > | Decryption
| implements the AuthenticatedSymmetricCipher interface

## Detailed Description

### template<class T_BlockCipher>
struct EAX< T_BlockCipher >

EAX

Definition at line 83 of file eax.h.

The documentation for this struct was generated from the following file:

- eax.h